Subject: Re: Receive side performance issue with multi-10-GigE and NUMA

From: Bill Fink <[email-masked]>
Date: Wed, 12 Aug 2009 00:38:24 -0400

On Tue, 11 Aug 2009, Brandeburg, Jesse wrote:

> Bill Fink wrote:
> > On Sat, 8 Aug 2009, Neil Horman wrote:
> > 
> >> On Sat, Aug 08, 2009 at 02:21:36PM -0400, Andrew Gallatin wrote:
> >>> Neil Horman wrote:
> >>>> On Sat, Aug 08, 2009 at 07:08:20AM -0400, Andrew Gallatin wrote:
> >>>>> Bill Fink wrote:
> >>>>>> On Fri, 07 Aug 2009, Andrew Gallatin wrote:
> >>>>>> 
> >>>>>>> Bill Fink wrote:
> >>>>>>> 
> >>>>>>>> All sysfs local_cpus values are the same (00000000,000000ff),
> >>>>>>>> so yes they are also wrong.
> 
> bill, I recently helped Jesse Barnes push a patch that addresses this kind
> of issue on CoreI7, the root cause was the numa_node variable was
> initialized based on slot on AMD systems, but needed to be set to -1 by
> default on systems with a uniform IOH to slot architecture.
> 
> here is the commit ID:
> http://git.kernel.org/?p=linux/kernel/git/sfr/linux-next.git;a=commit;h=3c38
> d674be519109696746192943a6d524019f7f
> 
> I'm not sure it is in linus' tree yet, this link is to net-next
> 
> Maybe see if it helps?

It's worth a shot.

Hopefully I can get a chance to build a new kernel tomorrow to check
out some of the suggestions, like this one, the setting of ACPI_DEBUG,
and the new ftrace module for checking NUMA affinity of skbs.

						-Thanks

						-Bill